# To execute a job locally, install gitlab-runner (https://docs.gitlab.com/runner/install/)
# and run the following command:
# gitlab-runner exec docker --docker-privileged --docker-volumes /sys/fs/cgroup:/sys/fs/cgroup:rw <<JOB_NAME>>

image: registry.gitlab.com/sosy-lab/benchmarking/competition-scripts/python:latest

include:
  # Run CI for default branch, tags, and merge requests (not for other branches)
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

# Do not checkout any submodules for now; sv-benchmarks and archives-20xx are just too big.
# Set depth to 10, such that new commits in one of the submodules makes do not break the CI immediately.
variables:
  GIT_SUBMODULE_STRATEGY: none
  GIT_STRATEGY: fetch
  GIT_DEPTH: 50
  REQUIRED_SUBMODULES: "scripts benchexec sv-benchmarks"

before_script:
  - git submodule sync
  - git submodule update --depth 50 --init $REQUIRED_SUBMODULES

check-definitions:
  script:
    - ./scripts/test/check-benchdef.py benchmark-defs/*xml

check-category-structure:
  script:
    - ./scripts/test/check-categories.py --tasks-directory sv-benchmarks --category-structure benchmark-defs/category-structure.yml --reference-benchdef-c benchmark-defs/cpachecker.xml --reference-benchdef-java benchmark-defs/jbmc.xml --benchdef-xmls benchmark-defs/
